﻿/*
********************************************************************************
* COPYRIGHT(c) ЗАО «ЧИП и ДИП», 2019
* 
* Программное обеспечение предоставляется на условиях «как есть» (as is).
* При распространении указание автора обязательно.
********************************************************************************
*/


using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace SpectrA
{
    public class MatrixColors : INotifyPropertyChanged
    {
        private string lowzone = "";
        private string middlezone = "";
        private string highzone = "";
        private string peak = "";
        private string background = "";
        private string frame = "";


        public string LowZone 
        {
            get { return this.lowzone; }
            set
            {
                if (this.lowzone != value)
                {
                    this.lowzone = value;
                    this.NotifyPropertyChanged("LowZone");
                }
            }
        }
        
        public string MiddleZone 
        {
            get { return this.middlezone; }
            set
            {
                if (this.middlezone != value)
                {
                    this.middlezone = value;
                    this.NotifyPropertyChanged("MiddleZone");
                }
            }
        }

        public string HighZone
        {
            get { return this.highzone; }
            set
            {
                if (this.highzone != value)
                {
                    this.highzone = value;
                    this.NotifyPropertyChanged("HighZone");
                }
            }
        }

        public string Peak
        {
            get { return this.peak; }
            set
            {
                if (this.peak != value)
                {
                    this.peak = value;
                    this.NotifyPropertyChanged("Peak");
                }
            }
        }
        
        public string Background
        {
            get { return this.background; }
            set
            {
                if (this.background != value)
                {
                    this.background = value;
                    this.NotifyPropertyChanged("Background");
                }
            }
        }

        public string Frame
        {
            get { return this.frame; }
            set
            {
                if (this.frame != value)
                {
                    this.frame = value;
                    this.NotifyPropertyChanged("Frame");
                }
            }
        }
        
        public event PropertyChangedEventHandler PropertyChanged;
        public void NotifyPropertyChanged(string propName)
        {
            this.PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propName));
        }
    }
}
